// Solar 4.3.1
// Bootswatch

// Variables ===================================================================

$web-font-path: "https://fonts.googleapis.com/css?family=Source+Sans+Pro" !default;
@import url($web-font-path);

// Navbar ======================================================================

// Buttons =====================================================================

.btn {
  @each $color, $value in $theme-colors {
    &-#{$color} {
      @if $enable-gradients {
        background: $value
          linear-gradient(180deg, mix($white, $value, 15%), $value)
          repeat-x;
      } @else {
        background-color: $value;
      }
    }
  }
}

// Typography ==================================================================

// Tables ======================================================================

.table {
  &-primary,
  &-secondary,
  &-dark,
  &-success,
  &-info,
  &-warning,
  &-danger {
    color: #fff;
  }

  &-primary {
    &,
    > th,
    > td {
      background-color: $primary;
    }
  }

  &-secondary {
    &,
    > th,
    > td {
      background-color: $secondary;
    }
  }

  &-light {
    &,
    > th,
    > td {
      background-color: $light;
    }
  }

  &-dark {
    &,
    > th,
    > td {
      background-color: $dark;
    }
  }

  &-success {
    &,
    > th,
    > td {
      background-color: $success;
    }
  }

  &-info {
    &,
    > th,
    > td {
      background-color: $info;
    }
  }

  &-danger {
    &,
    > th,
    > td {
      background-color: $danger;
    }
  }

  &-warning {
    &,
    > th,
    > td {
      background-color: $warning;
    }
  }

  &-active {
    &,
    > th,
    > td {
      background-color: $table-active-bg;
    }
  }

  &-hover {
    .table-primary:hover {
      &,
      > th,
      > td {
        background-color: darken($primary, 5%);
      }
    }

    .table-secondary:hover {
      &,
      > th,
      > td {
        background-color: darken($secondary, 5%);
      }
    }

    .table-light:hover {
      &,
      > th,
      > td {
        background-color: darken($light, 5%);
      }
    }

    .table-dark:hover {
      &,
      > th,
      > td {
        background-color: darken($dark, 5%);
      }
    }

    .table-success:hover {
      &,
      > th,
      > td {
        background-color: darken($success, 5%);
      }
    }

    .table-info:hover {
      &,
      > th,
      > td {
        background-color: darken($info, 5%);
      }
    }

    .table-danger:hover {
      &,
      > th,
      > td {
        background-color: darken($danger, 5%);
      }
    }

    .table-warning:hover {
      &,
      > th,
      > td {
        background-color: darken($warning, 5%);
      }
    }

    .table-active:hover {
      &,
      > th,
      > td {
        background-color: $table-active-bg;
      }
    }
  }
}

// Forms =======================================================================

.custom-control-input:checked ~ .custom-control-label::before {
  background: $primary;
}

.custom-control-input:focus:not(:checked) ~ .custom-control-label::before {
  border-color: $primary;
}

.custom-control-input:not(:disabled):active ~ .custom-control-label::before {
  background: $primary;
  border-color: $primary;
}

.custom-switch {
  .custom-control-label::after {
    background-color: rgba(255, 255, 255, 1);
  }

  .custom-control-input:checked ~ .custom-control-label::after {
    background-color: rgba(255, 255, 255, 0.75);
  }
}

// Navs ========================================================================

// Indicators ==================================================================

.alert {
  border: none;
  color: $white;

  a,
  .alert-link {
    color: #fff;
    text-decoration: underline;
  }

  @each $color, $value in $theme-colors {
    &-#{$color} {
      @if $enable-gradients {
        background: $value
          linear-gradient(180deg, mix($white, $value, 15%), $value)
          repeat-x;
      } @else {
        background-color: $value;
      }
    }
  }

  &-light {
    &,
    & a:not(.btn),
    & .alert-link {
      color: $body-bg;
    }
  }
}

// Progress bars ===============================================================

// Containers ==================================================================
